Refund a Transaction (MCP Integration)

Use this endpoint to refund a transaction that originates from the MCP integration.

Overview

Only use this endpoint if your transactions originate from the MCP Integration. Other merchants should leverage the Refund Order page.

The request body has an amount field. If this field is not passed with a value, the API will refund the full amount of the transaction. If you specify an amount in the request body, then that amount will be refunded.

👍

This endpoint uses API Key Authentication

Check out our API Key Authentication Section section to learn more

To Refund a Payment, send an API call to:

Staging: POST https://services.staging.skipify.com/payments/{transactionId}/refund

Production: POST https://services.skipify.com/payments/{transactionId}/refund

Request Body Parameters

Parameter NameRequired?TypeDescription
amountnointegerThis is the amount you want to refund, you do not need to pass this if you want to refund the full amount. The last two digits are cents, so $20.50 would be sent as 2050.
{
  "amount": 2050,
}

API Response Example

{
  "transactionId": "73c335b2-0dad-4e4a-b10b-950614f80953",
  "pspTransactionId": "dE3Hnj7c_SD9",
  "status": "Refunded",
  "amount": 2050,
  "pspRawResponse": "FWWp",
  "completedAt": "2025-07-21T17:32:28Z"
}


Skipify banner with link to contact us form

No


What’s Next